#!/bin/sh
# store password for elastic user in variable
ELASTIC_PWD=$(kubectl get secrets -n elastic-stack elasticsearch-es-elastic-user -o jsonpath='{.data.elastic}'| tr -d '"' | base64 -d)
k3s kubectl exec -it -n target-3 services/fruit-shop-service -- curl -k -XPOST "https://elastic:$ELASTIC_PWD@kibana-kb-http.elastic-stack:5601/api/saved_objects/_import?createNewCopies=true" -F 'file=@dashboard.ndjson' -H "kbn-xsrf: true"
